import { Dcomm } from "dcomm/dist"
import { AdminAPI } from "dcomm/dist/apis/admin"
import { GetLoggerLevelResponse } from "dcomm/dist/apis/admin/interfaces"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const admin: AdminAPI = dcomm.Admin()

const main = async (): Promise<any> => {
  const loggerName: string = "ACT"
  const loggerLevel: GetLoggerLevelResponse = await admin.getLoggerLevel(
    loggerName
  )
  console.log(loggerLevel)
}

main()
